Summary:	Application to launch khelpcenter or change khelpcenter page.
Name:		mdklaunchhelp	
Version:	2007
Release:	%mkrel 1
Epoch:		2
License:	GPL
URL:		http://www.mandrakelinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:			mdklaunchhelp-%version.tar.bz2

BuildRoot:		%_tmppath/%name-%version-%release-root

%if %mdkversion < 920 
BuildRequires:	XFree86-devel
BuildRequires:	libarts-devel
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libqt3-devel
BuildRequires:	zlib-devel
%else
BuildRequires:  XFree86-devel
BuildRequires:  arts-devel
BuildRequires:  fam-devel
BuildRequires:  kdelibs-devel
BuildRequires:  jpeg-devel
BuildRequires:  png-devel
BuildRequires:  qt3-devel
BuildRequires:  zlib-devel

%endif

Summary:	khelpcenter launcher for mandrake tools
Group:		Graphical desktop/KDE
Requires:	kdebase-progs

%description
This package allows to launch khelpcenter or change khelpcenter page.

%prep

%setup -q

%build
make -f admin/Makefile.common

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

	./configure \
        --prefix=%_prefix \
		--libdir=%_libdir \
        --enable-final \
		--disable-debug \
		--with-xinerama \
		--disable-rpath

%make

%install
rm -rf %buildroot

%makeinstall_std

%find_lang %{name}

%post 
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot



%files -f %{name}.lang
%defattr(-,root,root)
#
%_bindir/*
#


%changelog
* Wed Jul 19 2006 Laurent MONTEL <lmontel@mandriva.com> 2007-1
- Rebuild
- Fix requires 

* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-2mdk
- Fix spec file : use mdkversion
- Update po file

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-1mdk
- fix automake/autoconf
- rebuild

* Fri Mar 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-7mdk
- Fix po
- Fix build on mdk 10.0

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-5mdk
- Update po file

* Fri Aug 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-4mdk
- Fix source
- Add translation

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-3mdk
- Add translation

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-2mdk
- Fix kdebase requires

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 9.2-1mdk
- Rebuild

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-3mdk
- Fix makefile to support make rpm

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-2mdk
- Fix summary

* Mon Jan 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- Initial package
